#include "str_da.h"
#include <stdio.h>

int main()
{
    str_da_t da = str_da_create(4);
    if (da == NULL) return 1;

    printf("size = %zu\n", str_da_size(da));

    if (!str_da_push_back(da, "hello")) return 1;
    if (!str_da_push_back(da, "world")) return 1;

    size_t size = str_da_size(da);
    printf("size = %zu\n", size);

    for (size_t i = 0; i < size; ++i)
        printf("%s\n", str_da_get(da, i));

    str_da_destroy(da);
}
